Bug 307 - Changes to freetype module break optimization heuristics on CJK fonts.
Summary: Changes to freetype module break optimization heuristics on CJK fonts.
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/General (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Roland Mainz
QA Contact:
URL: http://freedesktop.org/pipermail/rele...
Whiteboard:
Keywords:
Depends on: 556
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-15 10:55 UTC by Egbert Eich
Modified: 2004-07-29 04:28 UTC (History)
4 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Patch for 2004-05-04-trunk (11.62 KB, patch)
2004-05-05 04:43 UTC, Roland Mainz
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Egbert Eich 2004-03-15 10:55:41 UTC
The above URL points to an email thread discussing this issue.
Keith Packard suggested to pull a single glyph from the font to find out if it
gives back a bitmap or outline and base the decision wether to use the 'very
lazy' method based on this (under the assumption that if there is a bitmap for
one glyph there are bitmaps for all.

I would like to propose the following procedure:
- Implement the proposal from above and test it. 
If the results are bad:
   - Turn to the freetype people to add a way to obtain the required information
       
     thru the standard API.
   - For the short term reenable the old code for those who compile the .a 
     module using the builtin lib. Clearly mark this as a hack that will have
Comment 1 Egbert Eich 2004-03-15 10:56:45 UTC
....
to be removed once a better solution becomes available.
Comment 2 Roland Mainz 2004-05-05 04:17:07 UTC
Taking bug. In the meantime the tree has updated to Freetype2.1.8 (that was bug
556) which include a FreeType API extension which allows that we can fix this
bug while using only "public" APIs.
Comment 3 Roland Mainz 2004-05-05 04:43:40 UTC
Created attachment 260 [details] [review]
Patch for 2004-05-04-trunk

The patch is the same as Chisato's original patch at
http://x-tt.sourceforge.jp/arch/X11R6.7.0-libfreetype-xtt2-1.2a.patch
Comment 4 Roland Mainz 2004-05-05 04:48:43 UTC
Patch checked-in...

Checking in xc/ChangeLog;
/cvs/xorg/xc/ChangeLog,v  <--  ChangeLog
new revision: 1.14; previous revision: 1.13
done
Checking in xc/lib/font/FreeType/ftfuncs.c;
/cvs/xorg/xc/lib/font/FreeType/ftfuncs.c,v  <--  ftfuncs.c
new revision: 1.3; previous revision: 1.2
done
Checking in xc/lib/font/FreeType/ftfuncs.h;
/cvs/xorg/xc/lib/font/FreeType/ftfuncs.h,v  <--  ftfuncs.h
new revision: 1.3; previous revision: 1.2
done
Mailing the commit message to xorg-commit@pdx.freedesktop.org...

.. marking bug as FIXED.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.